#
# spec file for package pandoc-cli
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pandoc-cli
Version:        3.6.1
Release:        1.1
Summary:        Conversion between documentation formats
License:        GPL-2.0-or-later
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-hslua-cli-devel
BuildRequires:  ghc-hslua-cli-prof
BuildRequires:  ghc-pandoc-devel
BuildRequires:  ghc-pandoc-lua-engine-devel
BuildRequires:  ghc-pandoc-lua-engine-prof
BuildRequires:  ghc-pandoc-prof
BuildRequires:  ghc-pandoc-server-devel
BuildRequires:  ghc-pandoc-server-prof
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-safe-prof
BuildRequires:  ghc-temporary-devel
BuildRequires:  ghc-temporary-prof
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-wai-extra-devel
BuildRequires:  ghc-wai-extra-prof
BuildRequires:  ghc-warp-devel
BuildRequires:  ghc-warp-prof
Requires:       ghc-pandoc = %{version}
Provides:       pandoc = %{version}
Obsoletes:      pandoc < 3
ExcludeArch:    %{ix86}

%description
Pandoc-cli provides a command-line executable that uses the pandoc library to
convert between markup formats.

%prep
%autosetup

%build
%define cabal_configure_options -f+lua -f+server
%ghc_bin_build

%install
%ghc_bin_install

%files
%license COPYING.md
%{_bindir}/pandoc

%changelog
* Mon Dec 23 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.6.1.
  Upstream does not provide a change log file.
* Sun Dec  8 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.6.
  Upstream does not provide a change log file.
* Sat Oct  5 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.5.
  Upstream does not provide a change log file.
* Tue Sep 10 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.4.
  Upstream does not provide a change log file.
* Mon Jul 29 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.3.
  Upstream does not provide a change log file.
* Mon Jun 24 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.2.1.
  Upstream does not provide a change log file.
* Wed May 15 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.2 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Sat May 11 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.2.
  Upstream does not provide a change log file.
* Sun Apr  7 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.1.13.
  Upstream does not provide a change log file.
* Mon Mar 18 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.1.12.3.
  Upstream does not provide a change log file.
* Fri Mar  1 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.1.12.2.
  Upstream does not provide a change log file.
* Sun Feb 18 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.1.12.1.
  Upstream does not provide a change log file.
* Sat Jan  6 2024 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 3.1.11.1.
  Upstream does not provide a change log file.
* Fri Jul 21 2023 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 0.1.1.1.
  Upstream does not provide a change log file.
* Thu Apr 13 2023 Peter Simons <psimons@suse.com>
- Enable LUA support. [bsc#1210268]
- Update the underlying library to ghc-pandoc-3.1.2.
* Thu Mar 30 2023 Peter Simons <psimons@suse.com>
- Updated spec file to conform with ghc-rpm-macros-2.5.2.
* Mon Mar 27 2023 Peter Simons <psimons@suse.com>
- Update pandoc-cli to version 0.1.1.
  Upstream does not provide a change log file.
* Wed Jan 18 2023 Peter Simons <psimons@suse.com>
- Add pandoc-cli at version 0.1.
